Skip to main content
GET
/
payment
/
api
/
v1
/
offramp-audit
/
status
/
{transaction_id}
Get Offramp Transaction Status
curl --request GET \
  --url https://api.carbnconnect.com/payment/api/v1/offramp-audit/status/{transaction_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.carbnconnect.com/payment/api/v1/offramp-audit/status/{transaction_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.carbnconnect.com/payment/api/v1/offramp-audit/status/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "5ce6a665-a056-4989-96cd-4800f500457d",
  "status": "PAYMENT_PROCESSED",
  "source_amount": 0.1,
  "destination_amount": 5.93,
  "offramp_quote_id": "a120ece6-baab-400b-9d5c-7867f1cd1595",
  "rail_fee": 0,
  "account_details": {
    "accountId": "4ae744a7-86ce-42c2-abe3-b21ae07f619e",
    "currency": "PHP",
    "userId": "9973efd0-410c-4b1a-991c-5a00f1581734",
    "bank_account": {
      "bank_name": "gcash",
      "payment_rail": "INSTAPAY",
      "account_holder_name": "Van Cruz",
      "recipient_account_number": "09171149891"
    },
    "bank_account_type": "INDIVIDUAL"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Must be included in the x-api-key header.

Path Parameters

transaction_id
string<uuid>
required

The unique identifier of the offramp transaction

Response

Offramp transaction status retrieved successfully

id
string<uuid>

The unique identifier of the offramp transfer

Example:

"5ce6a665-a056-4989-96cd-4800f500457d"

status
string

Current status of the offramp transaction

Example:

"PAYMENT_PROCESSED"

source_amount
number

Amount in source currency (crypto)

Example:

0.1

destination_amount
number

Amount in destination currency (fiat after conversion and fees)

Example:

5.93

offramp_quote_id
string<uuid>

The unique identifier of the quote that was used for this transfer

Example:

"a120ece6-baab-400b-9d5c-7867f1cd1595"

rail_fee
number

Fee charged for the payment rail

Example:

0

account_details
object